{{ define "nav-link" }}
	{{ if .Params.external }}
		<a class="nav-link" href="{{ .URL }}" target="_blank">{{ .Name | default .Title }}</a>
	{{ else }}
		<a class="nav-link" href="{{ .URL }}">{{ .Name | default .Title }}</a>
	{{ end }}
{{ end }}

{{ define "nav-item" }}
	{{ $active := or (.page.IsMenuCurrent .id .item) (eq .page.RelPermalink .URL) }}
	<li
		{{ with .item.Identifier }}id="{{ . }}"{{ end }}
		class="nav-item {{ if .item.HasChildren }}control{{ end }}"
		aria-current="{{ $active }}"
	>
		{{ template "nav-link" .item }}

		{{ if .item.HasChildren }}
			<ul class="submenu">
				{{ range .item.Children }}
					{{ template "nav-item" (dict "id" $.id "item" . "page" $.page) }}
				{{ end }}
			</ul>
		{{ end }}
	</li>
{{ end }}

{{ define "nav-menu" }}
	<ul class="menu">
		{{ range (index site.Menus .id) }}
			{{ template "nav-item" (dict "id" $.id "item" . "page" $.page) }}
		{{ end }}
	</ul>
{{ end }}

<nav
	id="nav-{{ .id }}"
	class="nav {{ if .burguer }}burguer{{ end }}"
	aria-label="Navigation"
>
	{{ with .title }}
		<p class="nav-title">{{ . }}</p>
	{{ end }}

	{{ if .burguer }}
		<button class="menu--control" aria-controls="nav-{{ .id }}">
			<span class="expand">MENU</span>
			<span class="collapse">CLOSE</span>
		</button>

		<div class="modal">
			<div class="page-container">
				{{ template "nav-menu" . }}
			</div>
		</div>
	{{ else }}
		{{ template "nav-menu" . }}
	{{ end }}
</nav>
